# Get file changes

Endpoint: POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/diff
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

## Path parameters:

  - `repo_identifier` (string, required)

  - `pullreq_number` (integer, required)

## Request fields (application/json):

  - `path` (string)

  - `start_line` (integer)

## Response 200 fields (application/json):

  - `additions` (integer)

  - `changes` (integer)

  - `deletions` (integer)

  - `is_binary` (boolean)

  - `is_submodule` (boolean)

  - `old_path` (string)

  - `old_sha` (string)

  - `patch` (array)

  - `path` (string)

  - `sha` (string)

  - `status` (string)

## Response 401 fields (application/json):

  - `message` (string)

  - `values` (object)


